summaryrefslogtreecommitdiffstats
path: root/bin/make-relative-to
diff options
context:
space:
mode:
Diffstat (limited to 'bin/make-relative-to')
-rwxr-xr-xbin/make-relative-to6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/make-relative-to b/bin/make-relative-to
new file mode 100755
index 00000000..9d947e17
--- /dev/null
+++ b/bin/make-relative-to
@@ -0,0 +1,6 @@
+#! /bin/sh
+# make-relative-to : lines path |> directory -> lines path
+# Non-matching paths won't get altered.
+set -euf
+
+sed "s:^$(echo "$1/" | bre-escape | sed 's/:/\\:/g')::"